### Method

# Qmi MessageNasConfigSignalInfoV2Input set_hdr_io_threshold_list

since: 1.32

#### Declaration [src]

    gboolean
    qmi_message_nas_config_signal_info_v2_input_set_hdr_io_threshold_list (
      QmiMessageNasConfigSignalInfoV2Input* self,
      GArray* value_hdr_io_threshold_list,
      GError** error
    )

#### Description [src]

Set the ‘HDR IO Threshold List’ field in the message.

Available since: 1.32

#### Parameters

`value_hdr_io_threshold_list`

  Type: An array of `gint16`

  A `GArray` of #gint16 elements. A new reference to `value_hdr_io_threshold_list` will be taken, so the caller must make sure the array was created with the correct `GDestroyNotify` as clear function for each element in the array.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.